#ifndef _PPC_PCORE_H
#define _PPC_PCORE_H

#define PCORE_ISA_IO_BASE 0xfe000000
#define PCORE_ISA_MEM_BASE 0xfd000000
#define PCORE_PCI_DRAM_OFFSET 0

#define ISA_INTR_ACK_REG 0xfef00000

#define PCORE_PCI_IO_TOP_ADDR  0xc00000
#define PCORE_PCI_MEM_TOP_ADDR 0xfd000000

#define PCORE_NVRAM_ADDR_LO 0x73
#define PCORE_NVRAM_ADDR_HI 0x75
#define PCORE_NVRAM_DATA    0x77    

#endif
