#define SNIF_ESCAPE 0x1A

#define MaxMsgSize 2044

struct MsgBuf {
    union {
        long    mtype;
        char    ctype[4];
    } mt;
    char mtext[MaxMsgSize+4];
};

struct TmpBuf {
	char tmp_buf[400];
	int ix_buf;
	int cnt_buf;
};

void PutInBuffer(BufferType *B, char C);
int send_msg_rw_sess(char *buf, int cnt, int direction, int port);
int read_sniff_msg(CY_SESS *sess);
void close_sniff_session(CY_SESS *sess,struct auth *pai);
int check_sniff_options(char opt, struct auth *pai,CY_SESS *sessi,int *got_signal_int);
int check_mult_session(struct auth *pai, int location, char *msg,int rmethod(int nonblock_flag), 
			void wmethod(char *line, int cnt), int main_routine(CY_SESS *sess)) ;
int open_virtual_session(struct line_cfg *pconf, int location,
			int rmethod(int nonblock_flag), void wmethod(char *line, int cnt));
int open_rw_session(struct auth *pai, int location, int rmethod(int nonblock_flag), 
			void wmethod(char *line, int cnt), int main_routine(CY_SESS *sess));
int count_sessions (int port_num);
CY_SESS *first_rw_session (int port_num);
CY_SESS *first_sniff_session (int port_num);
void clean_session_entry (CY_SESS *sess);
void kill_session_list (int port_num, int flag);
void kill_session_pid (int port_num, int pid);
int check_users_access(char *users, char *user, int null_valid);

