#include <fcntl.h>
#include <stdio.h>
#include <errno.h>

#define		MAXREAD		(10*1024)
extern int	errno;

main(int argc, char **argv)
{
	int	fd, i, j, n, k, tobecontinued = 0;
	char	buf[MAXREAD];
	char	ver[300], match[4];

	if (argc == 1) {
		printf("\nSyntax error: %s <filename>\n", argv[0]);
		exit(1);
	}

	if ((fd = open(argv[1], O_RDONLY)) == -1) {
		printf("\nError %d opening file %s\n", errno, argv[1]);
		exit(2);
	}

	for (i = 0; i < 4; i++) {
		match[i] = 0;
	}
	while((n = read(fd, buf, MAXREAD)) == MAXREAD) {
	 	for (i = 0; i < n; i++) {
			if (!tobecontinued) {
				if (match[0] == 0) { // looking for @
					if (buf[i] == '@') {
						match[0] = 1;
					}
					continue;
				}
				else {
					if (match[1] == 0) { // looking for (
						if (buf[i] == '(' && buf[i - 1] == '@') {
							match[1] = 1;
						}
						else {
							match[0] = 0;
						}
						continue;
					}
					else {
						if (match[2] == 0) { // looking for #
							if (buf[i] == '#' && buf[i - 1] == '(' && buf[i - 2] == '@') {
								match[2] = 1;
							}
							else {
								match[0] = 0;
								match[1] = 0;
							}
							continue;
						}
						else {
							if (match[3] == 0) { // looking for )
								if (buf[i] == ')' && buf[i - 1] == '#' && buf[i - 2] == '(' && buf[i - 3] == '@') {
									match[3] = 1;
								}
								else {
									match[0] = 0;
									match[1] = 0;
									match[2] = 0;
								}
								continue;
							}
						}
					}
				}
				
				// found a version
				k = 4;
				strcpy(ver, "@(#)");
				for (j = i; j < n; j++) {
					ver[k++] = buf[j];
					if (buf[j] == 0) { // EOS 
						printf("\n%s:%s\n", argv[1], ver);
						close(fd);
						exit(3);
					}
				}
				// the string continues in the next read
				tobecontinued = 1;
			}
			else {
				for (j = i; j < n; j++) {
					ver[k++] = buf[j];
					if (buf[j] == 0) { // EOS 
						printf("\n%s:%s\n", argv[1], ver);
						close(fd);
						exit(3);
					}
				}
			}
		}
	}
}
