#!/bin/sh

. /etc/billing_up.conf

LOG_FILE="/tmp/billing_log"

CWD=`pwd`
cd $LOCAL_DIRECTORY

ls *.txt >>/dev/null 2>&1 || exit 0

FILES=`ls *.txt 2>/dev/null`
echo "$FILES" | while read line; do
    ftpput -u $USER -p $PASSWORD $REMOTE_SERVER $REMOTE_DIRECTORY/$line $line > $LOG_FILE 

if grep "Unable to connect" $LOG_FILE > /dev/null 2>&1; then
	exit 0
else
	if grep -n "error " $LOG_FILE > /dev/null 2>&1; then
		echo "$line transfer failed." 
	fi
fi
done
rm $LOG_FILE >/dev/null 2>&1

cd $CWD
