/*
 * arch/ppc/kernel/ppc_stubs.c
 * 
 * Call stubs to allow linking without pulling in CHRP/PMAC/PREP objects
 *
 * Author: Matt Porter
 *         mporter@mvista.com
 *
 * Copyright 2000 MontaVista Software Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 * THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR   IMPLIED
 * WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 * NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT,  INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 * USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write  to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <linux/init.h>
#include <linux/stddef.h>
#include <asm/types.h>
#include <asm/prom.h>
#include <asm/bootx.h>
#include <asm/processor.h>

__init
unsigned long
prom_init(int r3, int r4, prom_entry pp)
{
	return 0;
}

unsigned int rtas_data = 0;
unsigned int rtas_entry = 0;
unsigned int rtas_size = 0;

__openfirmware
struct device_node *
find_type_devices(const char *type)
{
	return NULL;
}

__openfirmware
unsigned char *
get_property(struct device_node *np, const char *name, int *lenp)
{
	return NULL;
}

boot_infos_t *boot_infos = 0;

__init
void
finish_device_tree(void)
{
	return;
}

__openfirmware
struct device_node *
find_devices(const char *name)
{
	return NULL;
}

__init
void relocate_nodes(void)
{
	return;
}

__initfunc(void
pmac_init(unsigned long r3, unsigned long r4, unsigned long r5,
          unsigned long r6, unsigned long r7))
{
	return;
}

__initfunc(void
prep_init(unsigned long r3, unsigned long r4, unsigned long r5,
          unsigned long r6, unsigned long r7))
{
	return;
}

__initfunc(void
chrp_init(unsigned long r3, unsigned long r4, unsigned long r5,
	  unsigned long r6, unsigned long r7))
{
	return;
}

/*
 * From arch/ppc/mm/
 */

void
abort(void)
{
	return;
}

void
adbdev_init(void)
{
	return;
}
