OUTPUT_ARCH(powerpc)
SEARCH_DIR(/lib); SEARCH_DIR(/usr/lib); SEARCH_DIR(/usr/local/lib); SEARCH_DIR(/usr/local/powerpc-any-elf/lib);
SECTIONS
{
  /* Read-only sections, merged into text segment: */
/*  . = + SIZEOF_HEADERS;*/
  .interp : { *(.interp) }
  .hash          : { *(.hash)		}
  .dynsym        : { *(.dynsym)		}
  .dynstr        : { *(.dynstr)		}
  .rel.text      : { *(.rel.text)		}
  .rela.text     : { *(.rela.text) 	}
  .rel.data      : { *(.rel.data)		}
  .rela.data     : { *(.rela.data) 	}
  .rel.rodata    : { *(.rel.rodata) 	}
  .rela.rodata   : { *(.rela.rodata) 	}
  .rel.got       : { *(.rel.got)		}
  .rela.got      : { *(.rela.got)		}
  .rel.ctors     : { *(.rel.ctors)	}
  .rela.ctors    : { *(.rela.ctors)	}
  .rel.dtors     : { *(.rel.dtors)	}
  .rela.dtors    : { *(.rela.dtors)	}
  .rel.bss       : { *(.rel.bss)		}
  .rela.bss      : { *(.rela.bss)		}
  .rel.plt       : { *(.rel.plt)		}
  .rela.plt      : { *(.rela.plt)		}
  .init          : { *(.init)	} =0
  .plt : { *(.plt) }

  .text  0x80000000 :
  {
    *(.text)
    *(.rodata)
    *(.rodata1)
    *(.got1)
    _image = .;
    *(image)
    _image_end = .;
  }
  .fini      : { *(.fini)    } =0
  .ctors     : { *(.ctors)   }
  .dtors     : { *(.dtors)   }
  _etext = .;

  PROVIDE (etext = .);
  /* Read-write section, merged into data segment: */
  . = (. + 0x0FFF) & 0xFFFFF000;

  __data_reloc = .;
  .data  0x81000000  :
  AT(__data_reloc)
  {
    __data_start = .;
    *(.data)
    *(.data1)
    *(.sdata)
    *(.sdata2)
    *(.got.plt) *(.got)
    *(.dynamic)
    CONSTRUCTORS
    __data_end = .;
  }
  . = __data_reloc + SIZEOF(.data);
  __bss_reloc = .;
  .bss  __data_end  :
  AT (__bss_reloc)
  {
   __bss_start = .;
   *(.sbss) *(.scommon)
   *(.dynbss)
   *(.bss)
   *(COMMON)
   __bss_end = .;
  }
  . = __bss_reloc + SIZEOF(.bss);
  . = (. + 0x0FFF) & 0xFFFFF000;
  _end = . ;
  PROVIDE (end = .);
}

