#include <stdio.h>   //[GY]2006/May/31

#define MAX_BUFFER 1024	//[RK]May/26/03 Improv. Perf. 256

#define MAX_DLS_BUFFER 2048

#define DLS_PRI   166
#define DLS_TIMER 500

#define DLS_MAX_HLEN 60

#define DLS_ST_OK       0
#define DLS_ST_PIPEFULL 1
#define DLS_ST_TIMESEND 2

struct log_data_buffer {
	int	  read_buf;
	int	  tot_buf;
	char  buffer[MAX_BUFFER+2];
	char  alert_strings[ALERT_STRINGS_QUANTITY][ALERT_STRINGS_MAX_CHAR+1]; //string match for port alert [GY]2006/May/31
	char  dls_buffer[MAX_DLS_BUFFER];
	int   dls_buffer_pos;
	int   dls_status;
};

typedef struct log_data_buffer LOG_DATA_BUFFER;

extern LOG_DATA_BUFFER *curr_log;

void trunc_file(int fd, int lpos, int rpos, struct line_cfg *pconf);
void check_file_size(int fd, char *buffer, int cnt, int flag, struct line_cfg *pconf, int port);
int open_data_buffering(struct line_cfg *pconf);
int check_buffering_retention_mode(struct line_cfg *pconf, int *fd_buf, CY_SESS *sess);
void more (int filefd, int devfd, int (*rmethod)(), void (*wmethod)(),int terminal_lines);
FILE     *snmp_pipe_FP;  //[GY]2006/Jun/01
int      snmp_pipe_flag;  //[GY]2006/Jun/01
void handle_dls_buffer(char* buffer, int cnt, int port);
