#include        "../uemf.h"
#include        "../wsIntrn.h"
#include        "../um.h"
#include        <src/rot_nports.h>

typedef struct cyc_webs_header {
	unsigned char *cookie;		/* cookie to be added in the 
					   websHeader */
	unsigned char *title;		/* Page title */
	unsigned char *form;		/* Page form */
	unsigned char *links;		/* Page links */
	unsigned char *father;		/* Link to be marked in the list */
	unsigned char *refresh_url;	/* URL to be loaded in the refresh */
	unsigned char need_header;	/* Calls or not websHeader */
	unsigned char refresh_secs;	/* Time to refresh the page */
} CYC_WEBS_HEADER;

extern int  numsports;
extern struct MachineType mt;

extern void DefineWebAspForm1();
extern void DefineWebAspForm2();
extern void DefineWebAspForm3();
extern void DefineWebAspForm4();
extern void DefineWebAspForm5();
extern void DefineWebAspForm6();
extern void DefineWebAspForm7();
#ifdef OEM1
extern void DefineWebAspForm20();
extern void DefineWebAspForm21();
#endif

extern void websCycHdrInit(struct cyc_webs_header *hdr);
extern void websPageStart(webs_t wp, struct cyc_webs_header *hdr);
extern void websPageEnd(webs_t wp, struct cyc_webs_header *hdr);
extern void websPageNoNoteEnd(webs_t wp, struct cyc_webs_header *hdr);
extern void websPageMessage(webs_t wp, struct cyc_webs_header *hdr, 
	unsigned char *message, unsigned char error);
extern int websWriteTextFile(webs_t wp, FILE *arq, char flag, int *bcount);
	
extern unsigned char websGetPriority(webs_t wp);

